package speiger.src.coreengine.rendering.textures.base;

public interface ITexture {
	public int id();
	public default void bind() { bind(0); }
	public void bind(int unit);
	public void reload();
	public void delete();
	
	public int width();
	public int height();
	
	public default float minU() { return 0F; }
	public default float minV() { return 0F; }
	public default float maxU() { return 1F; }
	public default float maxV() { return 1F; }
}
